Minimum requirements says 10.6.4  Will this not work at all with 10.5.8 (or have limited functionality)?

Magic Trackpad

Back To Product

Follow this Question

9 Answers from the Community

  • Best Answer:

    Yes it will, but with very limited capability. Movement and single click, and control click for right mouse click work just fine. When you pair your pad with bluetooth preference be sure to select the device type as "Any device" and Passkey Options as "Use an "empty" passkey". Click Ok, Continue, and you will be setup.

    Was this useful? Answer 1

    25 of 26 people found this useful

  • YES. It will work, but only with limited functionality. I have paired it with my G5 and it will track, click, and click and drag, but thats it.

    Was this useful? Answer 2

    10 of 10 people found this useful

  • I bought it and tried to do this, and I was not able to get past pairing the device. It really really does require 10.6.4

    Was this useful? Answer 3

    10 of 12 people found this useful

  • I successfully paired the Magic Trackpad to my Macbook Pro running 10.5.8 and the functionality is limited to being able to move the cursor about... no more, no less.

    Was this useful? Answer 4

    8 of 9 people found this useful

  • In addition to OS 10.6.4, you may also need to install a separate trackpad update. To find the trackpad update, go to Support > Downloads, search for "trackpad," then look for the "Magic Trackpad and Multi-Touch Trackpad Update 1.0" download.

    Was this useful? Answer 5

    6 of 6 people found this useful

  • Although this information is not yet available, if Leopard (10.5) will even recognize the trackpad, it would likely be very limited functionality.

    Was this useful? Answer 6

    9 of 12 people found this useful

  • No, you must upgrade to 10.6.4.

    Was this useful? Answer 7

    8 of 13 people found this useful

  • If you read the Reviews, you will see that someone tried it, thinking it would work for just point & click. Answer: No, it did not work at all.

    Was this useful? Answer 8

    5 of 10 people found this useful

  • No it will not work.

    Minimum Requirements

    A Mac computer with Bluetooth wireless technology
    Mac OS X v10.6.4 or later
    Latest Magic Trackpad software update

    Was this useful? Answer 9

    8 of 18 people found this useful

Related Questions